#include<stdio.h>
#include<stdlib.h>

int main(int argc, char *argv[])
{
	
	if (argc==1)
	{	/* There is no file given to read */
		printf("Tell me, what should I read !\n");
	return 1;
	}

	if (argc==2)
		{
		printf("Data file name is: %s\n",argv[1]);
		
		float single_data=0;
		/* Openinig file for reading */
		FILE* file_pointer=fopen(argv[1],"r"); 	

		if(file_pointer==NULL)
			{
			printf("I can't open the file !\n"); 	
			return 2;
			}

		/* Loop, repeating until End Of File (EOF) is reached */
		/* fscanf scans file, scanned value is writen to variable 'singe_data' */
		/* when fscanf reaches end of file, funtion returns EOF value */
		while(fscanf(file_pointer,"%e\n",&single_data)!=EOF)
			{
			printf("%e \n",single_data);
			};
	
		/* Closing file */
		fclose(file_pointer);
	
		}
	else{ 
	/* There is too many arguments given */	
	printf("I think, there is too many arguments...\n");
	return 2;
	}
return 0;
}

